function dummy=ik_outplot2(QSTATE,t,nst)


%This function displays the Output of the Quantum Simulator

% This is a copy of ik_outplot Function and is made to deal with 
% the problem of axes ticks in the case of large number of qbits.


%Input: the QSTATE(i,j) Matrix 
%nst: Number of possible states
%t:number of time steps

%each column of which corresponds to a computation step.


% QSTATE(nq,mq) means: nq qbits, mq computation steps


% A.  - - - Set colormap - - - - - - - 

% n: number of gray-scale colors
n=100;
ct=1/n;
cv=1+ct;
for i=1:(n)
   cv=cv-ct;
   ik_color(i,1)=cv;
   ik_color(i,2)=cv;
   ik_color(i,3)=cv;
end

colormap(ik_color);

% - - - End Set colormap - - - - - - -

% B. -- - - - - Colormap Scale - - - - 

clim=[0.0 1.0];

% - - - End Colormap Scale - - - - - -

% C. - - - 1-D Matrices for axis ticks - - -
stepy=ceil(nst/8);
stepx=ceil (t/10);
y_tik=0:stepy:nst-1;
x_tik=1:stepx:t+1;
% - - - - End Matrices for axis ticks - - -  
%  P L O T

% D. - - - - - Plot 2-D Grayscale - - -   
     
     imagesc(QSTATE,'YData',[0 nst-1],clim);     
     colorbar
     axis image
     %title('QUANTUM COMPUTER SIMULATOR                            Dr. I. Karafyllidis')
     xlabel('Computation Steps')
     ylabel('Qbits (Decimal Number Representation)')% Value -1, i.e. 1-->0,..., 8-->7
     set(gca,'ytick',y_tik,'xtick',x_tik);     
%  - - - End Plot 2-D Grayscale - - - -
     

% E. - - - Dummy variable - - - -
%     Used for function call purpose

dummy=100.0;