function PHPLOT=ik_phplot(QOUT,t,nst)

                % QOUT : Probability Amplitude Matrix
                % t = computation steps
                % nst = number of states
                
[x,y]=meshgrid(1:1:t+1,0:1:nst-1);

%  Test  Test  Test
QOUTRE=real(QOUT);
QOUTIM=imag(QOUT);
QOUTABS=abs(QOUT)

for i=1:nst;
    for j=1:t+1;
        if (QOUTABS(i,j)==0)
            vx(i,j)=0;
            vy(i,j)=0;
        else
            vx(i,j)=QOUTRE(i,j)/QOUTABS(i,j);
            vy(i,j)=QOUTIM(i,j)/QOUTABS(i,j);
        end
    end
end

%  End Test  End Test  End Test

% - - - 1-D Matrices for axis ticks - - -
stepy=ceil(nst/8);
stepx=ceil (t/10);
%y_tik=0:stepy:nst-1
y_tik=0:stepy:nst-1;
x_tik=1:stepx:t+1;
% - - - - End Matrices for axis ticks - - -  

% - - - - - PLOT - - - - - - - - - - - - - 

hold off
figure('NumberTitle','off','Name','D.U.Th.  Quantum Computer Simulator                     Dr. Ioannis Karafyllidis');
quiver(x,y,vx,vy,0.5,'k')

     axis ij
     
     xlabel('Computation Steps')
     ylabel('Qubits (Decimal Number Representation)')% Value -1, i.e. 1-->0,..., 8-->7
     %title('Quantum Computer Simulator (QCS) - Phase Plot');

     set(gca,'ytick',y_tik,'xtick',x_tik); 
     
 PHPLOT=0;